2020-07-11 13:17 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004952Spring engineGeneralpublic2016-02-05 01:13
Reportermalric 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
Product Version100.0 
Target VersionFixed in Version100.0+git 
Summary0004952: Hang when exiting game on Linux (nvidia drivers)
DescriptionI am occasionally (once each 2-3 games maybe) experiencing a hang when game should exit. Generally I kill the process manually (process is named "unknown" for some reason). The infolog does not contain a stack trace but the stdout/stderr has a stack trace (attached). Demo file has size 0. Operating system: Arch Linux.

If any additional debug/information is required I can try to obtain it (of course depending on how often I play/when the bug happens)
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0015157

silentwings (reporter)

From inside the gz, the stacktrace (there is also a memory map & infolog) is

*** Error in `/home/vladms/.spring/engine/100.0/spring': corrupted double-linked list: 0x00000000058c0240 ***
======= Backtrace: =========
/usr/lib/libc.so.6(+0x72055)[0x7fec9a24b055]
/usr/lib/libc.so.6(+0x779a6)[0x7fec9a2509a6]
/usr/lib/libc.so.6(+0x77c39)[0x7fec9a250c39]
/usr/lib/libc.so.6(+0x78810)[0x7fec9a251810]
/home/vladms/.spring/engine/100.0/spring[0x5dadb8]
/home/vladms/.spring/engine/100.0/spring[0xdcdb69]
/home/vladms/.spring/engine/100.0/spring[0xdc0800]
/home/vladms/.spring/engine/100.0/spring[0xdfc568]
/home/vladms/.spring/engine/100.0/spring[0xdfc9d9]
/home/vladms/.spring/engine/100.0/spring[0xe1192d]
/home/vladms/.spring/engine/100.0/spring[0x5a91cd]
/home/vladms/.spring/engine/100.0/spring[0x5a9543]
/home/vladms/.spring/engine/100.0/spring[0x5a96a9]
/home/vladms/.spring/engine/100.0/spring[0x8d23fe]
/home/vladms/.spring/engine/100.0/spring[0x8d378d]
/home/vladms/.spring/engine/100.0/spring[0x8a819e]
/home/vladms/.spring/engine/100.0/spring[0x55422a]
/usr/lib/libc.so.6(__libc_start_main+0xf0)[0x7fec9a1f9610]
/home/vladms/.spring/engine/100.0/spring[0x581b39]

~0015158

malric (reporter)

Tried to reproduce while running spring under gdb, but in 9-10 games it did not happen. Next will leave spring run normally and attach when it is hanged.

~0015159

malric (reporter)

And caught it. I have the core file so I can provide more information if needed - just say what you would like to see.

Below are all the stack traces of all threads:

(gdb) info threads
  Id Target Id Frame
  83 Thread 0x7f6d4628e700 (LWP 5416) "worker1" 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
  82 Thread 0x7f6d45a8d700 (LWP 5417) "worker2" 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
  81 Thread 0x7f6d4528c700 (LWP 5419) "audio" 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
  80 Thread 0x7f6d3d62d700 (LWP 5422) "alsoft-mixer" 0x00007f6d4b57218d in poll ()
   from /usr/lib/libc.so.6
* 79 Thread 0x7f6d4ce6c780 (LWP 5415) "unknown" 0x00007f6d4b564077 in sched_yield ()
   from /usr/lib/libc.so.6
(gdb) bt
#0 0x00007f6d4b564077 in sched_yield () from /usr/lib/libc.so.6
#1 0x00007f6d4c4db0db in ?? () from /usr/lib/libGL.so.1
#2 0x00007f6d49f707e1 in ?? () from /usr/lib/libnvidia-glcore.so.352.41
0000003 0x00007f6d49ea67be in ?? () from /usr/lib/libnvidia-glcore.so.352.41
0000004 0x00007f6d4c4d572d in ?? () from /usr/lib/libGL.so.1
0000005 0x00000000008cc102 in SpringApp::Update (this=this@entry=0x7fff5b01a600)
    at ../../rts/System/SpringApp.cpp:953
#6 0x00000000008d37d8 in SpringApp::Run (this=this@entry=0x7fff5b01a600)
    at ../../rts/System/SpringApp.cpp:978
#7 0x00000000008a819e in Run (argc=argc@entry=4, argv=argv@entry=0x7fff5b01a8a8)
    at ../../rts/System/Main.cpp:48
#8 0x000000000055422a in main (argc=4, argv=0x7fff5b01a8a8) at ../../rts/System/Main.cpp:107
(gdb) thread 80
[Switching to thread 80 (Thread 0x7f6d3d62d700 (LWP 5422))]
#0 0x00007f6d4b57218d in poll () from /usr/lib/libc.so.6
(gdb) bt
#0 0x00007f6d4b57218d in poll () from /usr/lib/libc.so.6
#1 0x00007f6d3d8935e6 in ?? () from /usr/lib/libasound.so.2
#2 0x00007f6d4bb7855a in ?? () from /usr/lib/libopenal.so.1
0000003 0x00007f6d4bb810d7 in ?? () from /usr/lib/libopenal.so.1
0000004 0x00007f6d4c7694a4 in start_thread () from /usr/lib/libpthread.so.0
0000005 0x00007f6d4b57b12d in clone () from /usr/lib/libc.so.6
(gdb) thread 81
[Switching to thread 81 (Thread 0x7f6d4528c700 (LWP 5419))]
#0 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
(gdb) bt
#0 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1 0x0000000000ce06f4 in boost::this_thread::hiden::sleep_until(timespec const&) ()
#2 0x0000000000abdf32 in boost::this_thread::sleep (abs_time=...)
    at /usr/include/boost/thread/pthread/thread_data.hpp:249
0000003 boost::this_thread::sleep<boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000l> > (rel_time=...) at /usr/include/boost/thread/pthread/thread_data.hpp:255
0000004 CSound::StartThread (this=0x2d51350, maxSounds=<optimized out>)
    at ../../rts/System/Sound/OpenAL/Sound.cpp:383
0000005 0x000000000092a252 in boost::function0<void>::operator() (this=0x7f6d4528be80)
    at /usr/include/boost/function/function_template.hpp:767
#6 Threading::ThreadStart(boost::function<void ()>, std::shared_ptr<Threading::ThreadControls>*)
    (taskFunc=..., ppThreadCtls=<optimized out>)
    at ../../rts/System/Platform/Linux/ThreadSupport.cpp:187
#7 0x00000000008c782c in boost::_bi::list2<boost::_bi::value<boost::function<void()> >, boost::_bi::value<std::shared_ptr<Threading::ThreadControls>*> >::operator()<void (*)(boost::function<void()>, std::shared_ptr<Threading::ThreadControls>*), boost::_bi::list0> (this=<optimized out>,
    f=<optimized out>, a=...) at /usr/include/boost/bind/bind.hpp:313
#8 boost::_bi::bind_t<void, void (*)(boost::function<void ()>, std::shared_ptr<Threading::ThreadControls>*), boost::_bi::list2<boost::_bi::value<boost::function<void ()> >, boost::_bi::value<std::shared_ptr<Threading::ThreadControls>*> > >::operator()() (this=<optimized out>)
    at /usr/include/boost/bind/bind_template.hpp:20
#9 boost::detail::thread_data<boost::_bi::bind_t<void, void (*)(boost::function<void ()>, std::shared_ptr<Threading::ThreadControls>*), boost::_bi::list2<boost::_bi::value<boost::function<void ()---Type <return> to continue, or q <return> to quit---
> >, boost::_bi::value<std::shared_ptr<Threading::ThreadControls>*> > > >::run() (
    this=<optimized out>) at /usr/include/boost/thread/detail/thread.hpp:117
0000010 0x0000000000cdf97d in thread_proxy ()
#11 0x00007f6d4c7694a4 in start_thread () from /usr/lib/libpthread.so.0
0000012 0x00007f6d4b57b12d in clone () from /usr/lib/libc.so.6
(gdb) thread 82
[Switching to thread 82 (Thread 0x7f6d45a8d700 (LWP 5417))]
#0 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
(gdb) bt
#0 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1 0x00000000008e6e25 in boost::condition_variable::do_wait_until (
    this=this@entry=0x1520200 <newTasks>, m=..., timeout=...)
    at /usr/include/boost/thread/pthread/condition_variable.hpp:108
#2 0x00000000008e703b in boost::condition_variable::wait_until (tp=..., lk=...,
    this=0x1520200 <newTasks>)
    at /usr/include/boost/thread/pthread/condition_variable_fwd.hpp:253
0000003 boost::condition_variable::wait_for<long, boost::ratio<1l, 1000000000l> > (
    this=this@entry=0x1520200 <newTasks>, lock=..., d=...)
    at /usr/include/boost/thread/pthread/condition_variable_fwd.hpp:210
0000004 0x00000000008e5589 in ThreadPool::WorkerLoop (id=<optimized out>)
    at ../../rts/System/ThreadPool.cpp:171
0000005 0x0000000000cdf97d in thread_proxy ()
#6 0x00007f6d4c7694a4 in start_thread () from /usr/lib/libpthread.so.0
#7 0x00007f6d4b57b12d in clone () from /usr/lib/libc.so.6
(gdb) thread 83
[Switching to thread 83 (Thread 0x7f6d4628e700 (LWP 5416))]
#0 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
(gdb) bt
#0 0x00007f6d4c76f428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
#1 0x00000000008e6e25 in boost::condition_variable::do_wait_until (
    this=this@entry=0x1520200 <newTasks>, m=..., timeout=...)
    at /usr/include/boost/thread/pthread/condition_variable.hpp:108
#2 0x00000000008e703b in boost::condition_variable::wait_until (tp=..., lk=...,
    this=0x1520200 <newTasks>)
    at /usr/include/boost/thread/pthread/condition_variable_fwd.hpp:253
0000003 boost::condition_variable::wait_for<long, boost::ratio<1l, 1000000000l> > (
    this=this@entry=0x1520200 <newTasks>, lock=..., d=...)
    at /usr/include/boost/thread/pthread/condition_variable_fwd.hpp:210
0000004 0x00000000008e5589 in ThreadPool::WorkerLoop (id=<optimized out>)
    at ../../rts/System/ThreadPool.cpp:171
0000005 0x0000000000cdf97d in thread_proxy ()
#6 0x00007f6d4c7694a4 in start_thread () from /usr/lib/libpthread.so.0
#7 0x00007f6d4b57b12d in clone () from /usr/lib/libc.so.6

~0015160

abma (administrator)

seems to hang in sched_yield.

nvidia driver bug?

https://bugs.kde.org/show_bug.cgi?id=343551
https://devtalk.nvidia.com/default/topic/473784/code-hangs-/
https://code.google.com/p/chromium/issues/detail?id=63233
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1032276

you could try if it happens with the nouveau driver, too.

a hang in sched_yield let me think that you could try to disable vsync.

~0015161

abma (administrator)

Last edited: 2015-09-14 10:20

View 2 revisions

https://bugs.freedesktop.org/show_bug.cgi?id=75279

"Bug is fixed for good. Archlinux upgraded to Mesa 10.1.1 today, and after rebuilding firefox, no more freeze problem with nouveau. Thanks for the fix."

imo update drivers, nothing to fix in spring i guess...

OS and binary drivers seems to suffer from a similar bug.

~0015162

malric (reporter)

My system is up to date so I have nothing to update... Based on forum thread it might be related to Nvidia Optimus (both me and Anarchid have it). Will try disabling vsync option and see if I see any difference.

I could also give Nouveau a try (but that is a bit more complex I guess)

~0015163

abma (administrator)

hmm, there are a lot of things that could be tried with optimus, i.e.:

https://wiki.archlinux.org/index.php/NVIDIA#Laptops:_X_hangs_on_login.2Fout.2C_worked_around_with_Ctrl.2BAlt.2BBackspace


does the kernel output something related to the nvidia driver? i.e. output of dmesg?

~0015164

malric (reporter)

Will check dmesg next time when I have it.

The thing is this is not a complete hang as reported in at some of the links above. I can alt-tab to another X window (this is how I attached the debugger and also this is how I get rid of it, by just issuing a kill to spring process).

~0015208

Anarchid (reporter)

Last edited: 2015-09-22 12:34

View 2 revisions

> Will try disabling vsync option and see if I see any difference.

I have vsync off (it doesn't work for me anyway); that does not prevent the issue from happening.

Would DebugGL be anyhow useful for this?

I don't think the "hang on login/logout" arch issue is relevant, and the fix they have is "not use nvidia", which wouldn't work for Spring anyway. I could find no reports of other applications hanging with primusrun (no other 3d games i play on my laptop exhibit this behaviour).

Also: 91.0 didn't have this. The issue appeared sometimes during 97.x. Maybe tied to SDL2?

~0015209

abma (administrator)

> Would DebugGL be anyhow useful for this?

definitely! please test if this gives useful output...

~0015210

Anarchid (reporter)

I'll see if i can replicate this reliably enough in local games for DebugGL then. Having DebugGL on for "organic" fishing would cost me too much elonz.

~0015211

abma (administrator)

/cheat
/give all
/give all 1

was mostly a good way to trigger bugs...

~0015212

Anarchid (reporter)

Last edited: 2015-09-23 13:28

View 2 revisions

I don't want to trigger ALL the bugs! :D

Yeah, that sounds like a good starting point.

~0015217

malric (reporter)

Tried locally to reproduce, no luck for me, but did not try more than 20 minutes in one game. As far as I can remember from the actual occurrences, it only reproduced in very long games. Maybe we should report here the game length when it happens again maybe we see a pattern... (or determine length is not relevant)

~0015218

abma (administrator)

Last edited: 2015-09-23 23:10

View 2 revisions

maybe watch GPU temperature?

~0015220

Code_Man (reporter)

I have a similar problem, but its very rare.

However it corrupts the infolog, is this the case here too?

And if this is really a driver bug, how come only spring is affected?
No other game i have had a similar or any problem at all.

Using nvidia propeitery drivers and gtx550 on linux64.

~0015221

Anarchid (reporter)

Since i have to kill dash nine the spring process, the infolog is not "corrupted" but just abruptly ends where kill dash nine from my command line sends the chills down its spine.

The replay gets broken for sure.

I was not (yet) able to replicate the issue by watching replays, but i'll keep trying.

~0015223

Code_Man (reporter)

Pardon my ignorance, but doesnt unix send a "soft" kill signal, before the actual force kill?
If so shouldnt it be interceptable and flush the logs properly before exiting?

~0015224

abma (administrator)

kill -9 (SIGKILL) does what it says, it hard kills the process. for "soft" kill use SIGTERM (=15), but this didn't work here it seems.

~0015225

malric (reporter)

@Anarchid: when you mention "was not (yet) able to replicate the issue by watching replays" do you mean watching those replays for which you got the hang or do you mean watching replays in general?

I do not remember getting a hang in a replay, and so far I did not try to download a replay for which I hanged (although I think it would be a good test might try it next time it happens/have time)

~0015226

abma (administrator)

very likely this is a problem in unsynced code: when watching the replay it will hang in x/100 cases.

~0015273

malric (reporter)

It happened again, but now it seems the hang is in the crash handler. I connected with gdb and below is the information I extracted. The crash seems to be in the destructor of CVertexArray called from CGroundDecalHandler. So, I guess there are 2 bugs: why it crashes and why it hangs...



0x00007fa8ce2a665b in __lll_lock_wait_private () from /usr/lib/libc.so.6
(gdb) info threads
  Id Target Id Frame
  3 Thread 0x7fa8c7fab700 (LWP 8735) "audio" 0x00007fa8cf48e428 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /usr/lib/libpthread.so.0
  2 Thread 0x7fa8c4410700 (LWP 8738) "alsoft-mixer" 0x00007fa8ce29118d in poll () from /usr/lib/libc.so.6
* 1 Thread 0x7fa8cfb89780 (LWP 8731) "unknown" 0x00007fa8ce2a665b in __lll_lock_wait_private ()
   from /usr/lib/libc.so.6
(gdb) bt
#0 0x00007fa8ce2a665b in __lll_lock_wait_private () from /usr/lib/libc.so.6
#1 0x00007fa8ce227ef3 in ptmalloc_lock_all () from /usr/lib/libc.so.6
#2 0x00007fa8ce2699a5 in fork () from /usr/lib/libc.so.6
0000003 0x00007fa8ce21b580 in _IO_proc_open@@GLIBC_2.2.5 () from /usr/lib/libc.so.6
0000004 0x00007fa8ce21b88c in popen@@GLIBC_2.2.5 () from /usr/lib/libc.so.6
0000005 0x00000000009259b7 in TranslateStackTrace (stacktrace=std::vector of length 22, capacity 120 = {...},
    logLevel=logLevel@entry=50, aiCrash=0x0) at ../../rts/System/Platform/Linux/CrashHandler.cpp:429
#6 0x000000000092754b in CrashHandler::HaltedStacktrace (errstr="Aborted (SIGABRT)",
    siginfo=siginfo@entry=0x7ffc283c8f30, ucontext=ucontext@entry=0x7ffc283c8e00)
    at ../../rts/System/Platform/Linux/CrashHandler.cpp:836
#7 0x00000000009276a4 in CrashHandler::HandleSignal (signal=6, siginfo=0x7ffc283c8f30, pctx=0x7ffc283c8e00)
    at ../../rts/System/Platform/Linux/CrashHandler.cpp:920
#8 <signal handler called>
#9 0x00007fa8ce1e45f8 in raise () from /usr/lib/libc.so.6
0000010 0x00007fa8ce1e5a7a in abort () from /usr/lib/libc.so.6
#11 0x00007fa8ce22305a in __libc_message () from /usr/lib/libc.so.6
0000012 0x00007fa8ce2289a6 in malloc_printerr () from /usr/lib/libc.so.6
0000013 0x00007fa8ce22999f in _int_free () from /usr/lib/libc.so.6
0000014 0x00000000007db049 in CVertexArray::~CVertexArray (this=0xeb29ee0, __in_chrg=<optimized out>)
    at ../../rts/Rendering/GL/VertexArray.cpp:22
#15 0x00000000007db079 in CVertexArray::~CVertexArray (this=0xeb29ee0, __in_chrg=<optimized out>)
    at ../../rts/Rendering/GL/VertexArray.cpp:26
#16 0x00000000007c8bfd in SafeDelete<CVertexArray*> (a=@0x1d4f7d70: 0x0) at ../../rts/System/Util.h:197
#17 SolidObjectGroundDecal::~SolidObjectGroundDecal (this=0x1d4f7d70, __in_chrg=<optimized out>)
    at ../../rts/Rendering/Env/Decals/GroundDecalHandler.cpp:1277
#18 CGroundDecalHandler::~CGroundDecalHandler (this=0x3f708c0, __in_chrg=<optimized out>)
    at ../../rts/Rendering/Env/Decals/GroundDecalHandler.cpp:117
#19 0x00000000007c9029 in CGroundDecalHandler::~CGroundDecalHandler (this=0x3f708c0, __in_chrg=<optimized out>)
    at ../../rts/Rendering/Env/Decals/GroundDecalHandler.cpp:136
0000020 0x000000000085e165 in CWorldDrawer::~CWorldDrawer (this=<optimized out>, __in_chrg=<optimized out>)
    at ../../rts/Rendering/WorldDrawer.cpp:95
#21 0x00000000005a1a4c in SafeDelete<CWorldDrawer*> (a=@0x36ea418: 0x0) at ../../rts/System/Util.h:197
---Type <return> to continue, or q <return> to quit---
#22 CGame::KillRendering (this=0x36ea240) at ../../rts/Game/Game.cpp:829
#23 0x00000000005a9533 in CGame::~CGame (this=0x36ea240, __in_chrg=<optimized out>) at ../../rts/Game/Game.cpp:360
0000024 0x00000000005a96a9 in CGame::~CGame (this=0x36ea240, __in_chrg=<optimized out>) at ../../rts/Game/Game.cpp:374
#25 0x00000000008d23fe in SafeDelete<CGame*> (a=<optimized out>) at ../../rts/System/Util.h:197
0000026 SpringApp::ShutDown () at ../../rts/System/SpringApp.cpp:1013
0000027 0x00000000008d378d in SpringApp::Run (this=this@entry=0x7ffc283c9b20) at ../../rts/System/SpringApp.cpp:985
#28 0x00000000008a819e in Run (argc=argc@entry=4, argv=argv@entry=0x7ffc283c9dc8) at ../../rts/System/Main.cpp:48
0000029 0x000000000055422a in main (argc=4, argv=0x7ffc283c9dc8) at ../../rts/System/Main.cpp:107
(gdb) print stacktrace
No symbol "stacktrace" in current context.
(gdb) up 7
#7 0x00000000009276a4 in CrashHandler::HandleSignal (signal=6, siginfo=0x7ffc283c8f30, pctx=0x7ffc283c8e00)
    at ../../rts/System/Platform/Linux/CrashHandler.cpp:920
920 ../../rts/System/Platform/Linux/CrashHandler.cpp: No such file or directory.
(gdb) print stacktrace
No symbol "stacktrace" in current context.
(gdb) down 2
0000005 0x00000000009259b7 in TranslateStackTrace (stacktrace=std::vector of length 22, capacity 120 = {...},
    logLevel=logLevel@entry=50, aiCrash=0x0) at ../../rts/System/Platform/Linux/CrashHandler.cpp:429
429 in ../../rts/System/Platform/Linux/CrashHandler.cpp
(gdb) print stacktrace
$1 = std::vector of length 22, capacity 120 = {{level = 0,
    ip = 0x9274ff <CrashHandler::HaltedStacktrace(std::string const&, siginfo*, ucontext*)+79>,
    mangled = "log_util_prepareSection", symbol = "/home/vladms/.spring/engine/100.0/spring() [0x9274ff]",
    addr = 9598207, path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 1,
    ip = 0x9276a4 <CrashHandler::HandleSignal(int, siginfo*, void*)+228>, mangled = "log_util_prepareSection",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x9276a4]", addr = 9598628,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 2,
    ip = 0x7fa8cf491d60 <__restore_rt>, mangled = "__restore_rt",
    symbol = "/usr/lib/libpthread.so.0(+0x10d60) [0x7fa8cf491d60]", addr = 68960, path = "/usr/lib/libpthread.so.0",
    entries = empty std::list}, {level = 3, ip = 0x7fa8ce1e45f8 <raise+56>, mangled = "gsignal",
    symbol = "/usr/lib/libc.so.6(gsignal+0x38) [0x7fa8ce1e45f8]", addr = 210424, path = "/usr/lib/libc.so.6",
    entries = empty std::list}, {level = 4, ip = 0x7fa8ce1e5a7a <abort+362>, mangled = "abort",
    symbol = "/usr/lib/libc.so.6(abort+0x16a) [0x7fa8ce1e5a7a]", addr = 215674, path = "/usr/lib/libc.so.6",
    entries = empty std::list}, {level = 5, ip = 0x7fa8ce22305a, mangled = "__libc_message",
    symbol = "/usr/lib/libc.so.6(+0x7205a) [0x7fa8ce22305a]", addr = 467034, path = "/usr/lib/libc.so.6",
    entries = empty std::list}, {level = 6, ip = 0x7fa8ce2289a6 <malloc_printerr+166>, mangled = "malloc_printerr",
    symbol = "/usr/lib/libc.so.6(+0x779a6) [0x7fa8ce2289a6]", addr = 489894, path = "/usr/lib/libc.so.6",
    entries = empty std::list}, {level = 7, ip = 0x7fa8ce22999f <_int_free+2367>, mangled = "_int_free",
    symbol = "/usr/lib/libc.so.6(+0x7899f) [0x7fa8ce22999f]", addr = 493983, path = "/usr/lib/libc.so.6",
    entries = empty std::list}, {level = 8, ip = 0x7db049 <CVertexArray::~CVertexArray()+25>,
    mangled = "_ZNSt4listIjSaIjEE9pop_frontEv", symbol = "/home/vladms/.spring/engine/100.0/spring() [0x7db049]",
    addr = 8237129, path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 9,
    ip = 0x7db079 <CVertexArray::~CVertexArray()+9>, mangled = "_ZNSt4listIjSaIjEE9pop_frontEv",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x7db079]", addr = 8237177,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 10,
    ip = 0x7c8bfd <CGroundDecalHandler::~CGroundDecalHandler()+621>, mangled = "_ZNSt6vectorIjSaIjEE9push_backERKj",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x7c8bfd]", addr = 8162301,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 11,
    ip = 0x7c9029 <CGroundDecalHandler::~CGroundDecalHandler()+9>, mangled = "_ZNSt6vectorIjSaIjEE9push_backERKj",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x7c9029]", addr = 8163369,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 12,
    ip = 0x85e165 <CWorldDrawer::~CWorldDrawer()+453>, mangled = "_ZNSt10lock_guardISt15recursive_mutexED1Ev",
---Type <return> to continue, or q <return> to quit---
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x85e165]", addr = 8773989,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 13,
    ip = 0x5a1a4c <CGame::KillRendering()+252>, mangled = "_ZNSt10_List_baseISsSaISsEE8_M_clearEv",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x5a1a4c]", addr = 5904972,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 14,
    ip = 0x5a9533 <CGame::~CGame()+67>, mangled = "_ZNSt10_List_baseISsSaISsEE8_M_clearEv",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x5a9533]", addr = 5936435,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 15,
    ip = 0x5a96a9 <CGame::~CGame()+9>, mangled = "_ZNSt10_List_baseISsSaISsEE8_M_clearEv",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x5a96a9]", addr = 5936809,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 16,
    ip = 0x8d23fe <SpringApp::ShutDown()+142>, mangled = "safe_strcat",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x8d23fe]", addr = 9249790,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 17,
    ip = 0x8d378d <SpringApp::Run()+125>, mangled = "safe_strcat",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x8d378d]", addr = 9254797,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 18,
    ip = 0x8a819e <Run(int, char**)+62>,
    mangled = "_ZNSt8_Rb_treeIPKcS1_St9_IdentityIS1_ESt4lessIS1_ESaIS1_EE8_M_eraseEPSt13_Rb_tree_nodeIS1_E",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x8a819e]", addr = 9077150,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 19,
    ip = 0x55422a <main(int, char**)+74>, mangled = "_init",
    symbol = "/home/vladms/.spring/engine/100.0/spring() [0x55422a]", addr = 5587498,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}, {level = 20,
    ip = 0x7fa8ce1d1610 <__libc_start_main+240>, mangled = "__libc_start_main",
    symbol = "/usr/lib/libc.so.6(__libc_start_main+0xf0) [0x7fa8ce1d1610]", addr = 132624,
    path = "/usr/lib/libc.so.6", entries = empty std::list}, {level = 21, ip = 0x581b39 <_start+41>,
    mangled = "_start", symbol = "/home/vladms/.spring/engine/100.0/spring() [0x581b39]", addr = 5774137,
    path = "/home/vladms/.spring/engine/100.0/spring", entries = empty std::list}}
(gdb)

~0015274

abma (administrator)

@malric:

whats the output of:

   addr2line --help

?

~0015275

malric (reporter)

Usage: addr2line [option(s)] [addr(s)]
 Convert addresses into line number/file name pairs.
 If no addresses are specified on the command line, they will be read from stdin
 The options are:
  @<file> Read options from <file>
  -a --addresses Show addresses
  -b --target=<bfdname> Set the binary file format
  -e --exe=<executable> Set the input file name (default is a.out)
  -i --inlines Unwind inlined functions
  -j --section=<name> Read section-relative offsets instead of addresses
  -p --pretty-print Make the output easier to read for humans
  -s --basenames Strip directory names
  -f --functions Show function names
  -C --demangle[=style] Demangle function names
  -h --help Display this information
  -v --version Display the program's version

addr2line: supported targets: elf64-x86-64 elf32-i386 elf32-x86-64 a.out-i386-linux pei-i386 pei-x86-64 elf64-l1om elf64-k1om elf64-little elf64-big elf32-little elf32-big plugin srec symbolsrec verilog tekhex binary ihex
Report bugs to <https://bugs.archlinux.org/>

~0015276

malric (reporter)

And with --version

GNU addr2line (GNU Binutils) 2.25.1
Copyright (C) 2014 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License version 3 or (at your option) any later version.
This program has absolutely no warranty.

~0015277

abma (administrator)

Last edited: 2015-10-05 02:00

View 2 revisions

maybe i'm blind but i still don't see the error. the next time this happens can you please provide this info:

1. in top: is spring at 100% cpu or at 0%?

2. is addr2line running? if so, whats the exact command line? does it hang? or is it run again and again and again?

3. in gdb:

thread apply all bt full




possible this line is where it crashes:
https://github.com/spring/spring/blob/100.0/rts/Rendering/Env/Decals/GroundDecalHandler.cpp#L117

no clue why it hangs in the crashhandler yet.

~0015278

malric (reporter)

In top spring was called "unknown" and at 100%.

I was also checking the GPU temperature and it was around 85 degrees (which seemed normal)

Will do the full threads stack trace.

One more strange thing compared to first hang that I attached gdb to was that first time I was able to use the mouse while this time mouse was not responding (in fact it still had ZK/spring cursor and stayed on the big monitor).

Lets hope what I am seeing is not a result of some earlier memory corruption that messes everything up...

~0015298

malric (reporter)

As requested:

(gdb) thread apply all bt full

Thread 3 (Thread 0x7fa2db7fe700 (LWP 3529)):
#0 0x00007fa2e7e52428 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
No symbol table info available.
#1 0x0000000000ce06f4 in boost::this_thread::hiden::sleep_until(timespec const&) ()
No symbol table info available.
#2 0x0000000000abdf32 in boost::this_thread::sleep (abs_time=...)
    at /usr/include/boost/thread/pthread/thread_data.hpp:249
No locals.
0000003 boost::this_thread::sleep<boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000l> > (
    rel_time=...) at /usr/include/boost/thread/pthread/thread_data.hpp:255
No locals.
0000004 CSound::StartThread (this=0x3947310, maxSounds=<optimized out>) at ../../rts/System/Sound/OpenAL/Sound.cpp:383
        FREQ_IN_HZ = 30
        curcontext = <optimized out>
        curdevice = <optimized out>
0000005 0x000000000092a252 in boost::function0<void>::operator() (this=0x7fa2db7fde80)
    at /usr/include/boost/function/function_template.hpp:767
No locals.
#6 Threading::ThreadStart(boost::function<void ()>, std::shared_ptr<Threading::ThreadControls>*) (taskFunc=...,
    ppThreadCtls=<optimized out>) at ../../rts/System/Platform/Linux/ThreadSupport.cpp:187
        pThreadCtls = 0x3b4e900
#7 0x00000000008c782c in boost::_bi::list2<boost::_bi::value<boost::function<void()> >, boost::_bi::value<std::shared_ptr<Threading::ThreadControls>*> >::operator()<void (*)(boost::function<void()>, std::shared_ptr<Threading::ThreadControls>*), boost::_bi::list0> (this=<optimized out>, f=<optimized out>, a=...) at /usr/include/boost/bind/bind.hpp:313
No locals.
#8 boost::_bi::bind_t<void, void (*)(boost::function<void ()>, std::shared_ptr<Threading::ThreadControls>*), boost::_bi::list2<boost::_bi::value<boost::function<void ()> >, boost::_bi::value<std::shared_ptr<Threading::ThreadControls>*> > >::operator()() (this=<optimized out>) at /usr/include/boost/bind/bind_template.hpp:20
No locals.
#9 boost::detail::thread_data<boost::_bi::bind_t<void, void (*)(boost::function<void ()>, std::shared_ptr<Threading::ThreadControls>*), boost::_bi::list2<boost::_bi::value<boost::function<void ()> >, boost::_bi::value<std::shared_ptr<T---Type <return> to continue, or q <return> to quit---
hreading::ThreadControls>*> > > >::run() (this=<optimized out>) at /usr/include/boost/thread/detail/thread.hpp:117
No locals.
0000010 0x0000000000cdf97d in thread_proxy ()
No symbol table info available.
#11 0x00007fa2e7e4c4a4 in start_thread () from /usr/lib/libpthread.so.0
No symbol table info available.
0000012 0x00007fa2e6c5f13d in clone () from /usr/lib/libc.so.6
No symbol table info available.

Thread 2 (Thread 0x7fa2e0121700 (LWP 3531)):
#0 0x00007fa2e6c5618d in poll () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007fa2d95755e6 in ?? () from /usr/lib/libasound.so.2
No symbol table info available.
#2 0x00007fa2e725c55a in ?? () from /usr/lib/libopenal.so.1
No symbol table info available.
0000003 0x00007fa2e72650d7 in ?? () from /usr/lib/libopenal.so.1
No symbol table info available.
0000004 0x00007fa2e7e4c4a4 in start_thread () from /usr/lib/libpthread.so.0
No symbol table info available.
0000005 0x00007fa2e6c5f13d in clone () from /usr/lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 0x7fa2e854d780 (LWP 3525)):
#0 0x00007fa2e6c6b66b in __lll_lock_wait_private () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007fa2e6bf147a in malloc () from /usr/lib/libc.so.6
No symbol table info available.
#2 0x0000000000e771dd in operator new(unsigned long) ()
No symbol table info available.
0000003 0x0000000000ec2f59 in std::string::_Rep::_S_create(unsigned long, unsigned long, std::allocator<char> const&) ()
No symbol table info available.
---Type <return> to continue, or q <return> to quit---
0000004 0x0000000000ec4755 in char* std::string::_S_construct<char const*>(char const*, char const*, std::allocator<char> const&, std::forward_iterator_tag) ()
No symbol table info available.
0000005 0x0000000000ec4833 in std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(char const*, std::allocator<char> const&) ()
No symbol table info available.
#6 0x0000000000927630 in CrashHandler::HandleSignal (signal=11, siginfo=0x7fff226de8f0, pctx=0x7fff226de7c0)
    at ../../rts/System/Platform/Linux/CrashHandler.cpp:882
        uctx = 0x7fff226de7c0
        aiCrash = <optimized out>
        error = <error reading variable: Cannot access memory at address 0xffffffffffffffe8>
        nonFatalSignal = <optimized out>
        fatalSignal = <optimized out>
        keepRunning = <optimized out>
#7 <signal handler called>
No symbol table info available.
#8 0x00007fa2e6bedac5 in malloc_consolidate () from /usr/lib/libc.so.6
No symbol table info available.
#9 0x00007fa2e6bee810 in _int_free () from /usr/lib/libc.so.6
No symbol table info available.
0000010 0x00000000007db049 in CVertexArray::~CVertexArray (this=0xb383230, __in_chrg=<optimized out>)
    at ../../rts/Rendering/GL/VertexArray.cpp:22
No locals.
#11 0x00000000007db079 in CVertexArray::~CVertexArray (this=0xb383230, __in_chrg=<optimized out>)
    at ../../rts/Rendering/GL/VertexArray.cpp:26
No locals.
0000012 0x00000000007c8bfd in SafeDelete<CVertexArray*> (a=@0x14080b10: 0x0) at ../../rts/System/Util.h:197
        tmp = <optimized out>
0000013 SolidObjectGroundDecal::~SolidObjectGroundDecal (this=0x14080b10, __in_chrg=<optimized out>)
    at ../../rts/Rendering/Env/Decals/GroundDecalHandler.cpp:1277
No locals.
0000014 CGroundDecalHandler::~CGroundDecalHandler (this=0x459b070, __in_chrg=<optimized out>)
---Type <return> to continue, or q <return> to quit---
    at ../../rts/Rendering/Env/Decals/GroundDecalHandler.cpp:117
        dc = 0x14080b10
        __for_range = std::set with 188 elements = {[0] = 0x3f90460, [1] = 0x40ef8e0, [2] = 0x43c06d0,
          [3] = 0x44b87c0, [4] = 0x62c6900, [5] = 0x65012f0, [6] = 0x65083d0, [7] = 0x66ea6c0, [8] = 0x6814aa0,
          [9] = 0x6b428a0, [10] = 0x6d94b80, [11] = 0x6fcf600, [12] = 0x6fef4f0, [13] = 0x723bda0, [14] = 0x76dc010,
          [15] = 0x7d91a90, [16] = 0x7df54a0, [17] = 0x8006720, [18] = 0x80e9ac0, [19] = 0x83c7c10,
          [20] = 0x84d6420, [21] = 0x85f9af0, [22] = 0x86e17f0, [23] = 0x87ce680, [24] = 0x89adfe0,
          [25] = 0x8c3e9f0, [26] = 0x8dfafa0, [27] = 0x9088ee0, [28] = 0x94dcf10, [29] = 0x95dfb10,
          [30] = 0x987a190, [31] = 0x98f2590, [32] = 0x9925580, [33] = 0x9dbdf50, [34] = 0x9ebd670,
          [35] = 0xa4e34a0, [36] = 0xa7b9150, [37] = 0xa9f8880, [38] = 0xade7210, [39] = 0xb1fc530,
          [40] = 0xb5c2ab0, [41] = 0xb5e1ee0, [42] = 0xb5faf30, [43] = 0xb5ff3b0, [44] = 0xb6c50d0,
          [45] = 0xb716df0, [46] = 0xb9b70e0, [47] = 0xb9d8000, [48] = 0xbb90050, [49] = 0xc1f4b50,
          [50] = 0xc6eeb30, [51] = 0xc7f6630, [52] = 0xc7f6db0, [53] = 0xc894140, [54] = 0xcac40e0,
          [55] = 0xcc58cc0, [56] = 0xce88a50, [57] = 0xcf13ab0, [58] = 0xcf58390, [59] = 0xcf7dfd0,
          [60] = 0xcf88950, [61] = 0xd111a50, [62] = 0xd296990, [63] = 0xd54f660, [64] = 0xd550fa0,
          [65] = 0xd5bafe0, [66] = 0xd670220, [67] = 0xd73c910, [68] = 0xd79b240, [69] = 0xd811d50,
          [70] = 0xd8ad190, [71] = 0xda5cd50, [72] = 0xda5edb0, [73] = 0xdff92e0, [74] = 0xe14af80,
          [75] = 0xe201e20, [76] = 0xe24dce0, [77] = 0xe316910, [78] = 0xe97a840, [79] = 0xecbc110,
          [80] = 0xecd0dc0, [81] = 0xee577d0, [82] = 0xee9e150, [83] = 0xeebe700, [84] = 0xef4b940,
          [85] = 0xef4c460, [86] = 0xf520b80, [87] = 0xf8133c0, [88] = 0xf8fba90, [89] = 0xf949940,
          [90] = 0xfa4b920, [91] = 0xffc4410, [92] = 0xffc7f00, [93] = 0xffcd690, [94] = 0xffcdeb0,
          [95] = 0x10b328b0, [96] = 0x10cb8a50, [97] = 0x10f4e960, [98] = 0x10f8cf70, [99] = 0x10fa6f30,
          [100] = 0x1119fb70, [101] = 0x111a71c0, [102] = 0x113363f0, [103] = 0x114a5a50, [104] = 0x115611d0,
          [105] = 0x115cdde0, [106] = 0x1193ab10, [107] = 0x11976a20, [108] = 0x11b8b890, [109] = 0x11bd6c60,
          [110] = 0x1234a9a0, [111] = 0x124180c0, [112] = 0x128685e0, [113] = 0x128f32c0, [114] = 0x12a35210,
          [115] = 0x12ab86b0, [116] = 0x12ac1620, [117] = 0x12ae9fd0, [118] = 0x12c96f90, [119] = 0x12d46af0,
          [120] = 0x12f23060, [121] = 0x130cf7b0, [122] = 0x1352f8a0, [123] = 0x135b7ef0, [124] = 0x135f3190,
          [125] = 0x136f7cf0, [126] = 0x137aafe0, [127] = 0x137b2e90, [128] = 0x13a280c0, [129] = 0x13a944d0,
          [130] = 0x13a978b0, [131] = 0x13bf9b30, [132] = 0x13c0d2b0, [133] = 0x13c51ca0, [134] = 0x13c636c0,
          [135] = 0x13cdc480, [136] = 0x13eab560, [137] = 0x13eba460, [138] = 0x13f185e0, [139] = 0x13f5e970,
          [140] = 0x13fe7c80, [141] = 0x14080b10, [142] = 0x14086a10, [143] = 0x14145540, [144] = 0x144d27e0,
          [145] = 0x144f0570, [146] = 0x14a95550, [147] = 0x14af74b0, [148] = 0x14cda590, [149] = 0x14db9fc0,
---Type <return> to continue, or q <return> to quit---
          [150] = 0x151035c0, [151] = 0x15252ff0, [152] = 0x1525c380, [153] = 0x1554fda0, [154] = 0x155bc3b0,
          [155] = 0x155d1280, [156] = 0x15778c20, [157] = 0x15960fd0, [158] = 0x15989230, [159] = 0x15d5ef50,
          [160] = 0x15ea2ab0, [161] = 0x15ea2b00, [162] = 0x161b9ef0, [163] = 0x161ddef0, [164] = 0x167e1870,
          [165] = 0x167f2c30, [166] = 0x1698e480, [167] = 0x171d5790, [168] = 0x1770ad90, [169] = 0x179e6d00,
          [170] = 0x17e9e0c0, [171] = 0x17ead7c0, [172] = 0x17fb2990, [173] = 0x17fb5c00, [174] = 0x17fe7a80,
          [175] = 0x17ffc2f0, [176] = 0x183207a0, [177] = 0x1874b480, [178] = 0x196eb5c0, [179] = 0x19801a90,
          [180] = 0x19b59a10, [181] = 0x19c21620, [182] = 0x19c25070, [183] = 0x19c96be0, [184] = 0x19f57ee0,
          [185] = 0x1a03ceb0, [186] = 0x1a223e90, [187] = 0x1a3296f0}
        dctype = 0x12e26c10
        __for_range = std::vector of length 31, capacity 32 = {0x7ec38d0, 0x15b136b0, 0x42a4f30, 0x14133200,
          0x4123720, 0x12e26c10, 0xb2e56f0, 0x123afd40, 0x4402aa0, 0x13c41200, 0xcf35a00, 0x93a8100, 0x144d6a60,
          0x13790a60, 0xa978a90, 0x687c620, 0x19838c40, 0xe48c2c0, 0x835a420, 0xe20eca0, 0x110f5eb0, 0x86cfcd0,
          0x19e6ae00, 0x1988b320, 0x150c1880, 0xbf1e1f0, 0x88101a0, 0x661bf50, 0x18d84550, 0x78bc5e0, 0x130ee4b0}
#15 0x00000000007c9029 in CGroundDecalHandler::~CGroundDecalHandler (this=0x459b070, __in_chrg=<optimized out>)
    at ../../rts/Rendering/Env/Decals/GroundDecalHandler.cpp:136
No locals.
#16 0x000000000085e165 in CWorldDrawer::~CWorldDrawer (this=<optimized out>, __in_chrg=<optimized out>)
    at ../../rts/Rendering/WorldDrawer.cpp:95
No locals.
#17 0x00000000005a1a4c in SafeDelete<CWorldDrawer*> (a=@0x3b748f8: 0x0) at ../../rts/System/Util.h:197
        tmp = 0x7fa2b1b25f10
#18 CGame::KillRendering (this=0x3b74720) at ../../rts/Game/Game.cpp:829
        __FUNCTION__ = "KillRendering"
#19 0x00000000005a9533 in CGame::~CGame (this=0x3b74720, __in_chrg=<optimized out>) at ../../rts/Game/Game.cpp:360
No locals.
0000020 0x00000000005a96a9 in CGame::~CGame (this=0x3b74720, __in_chrg=<optimized out>) at ../../rts/Game/Game.cpp:374
No locals.
#21 0x00000000008d23fe in SafeDelete<CGame*> (a=<optimized out>) at ../../rts/System/Util.h:197
        tmp = 0x7fa2e6f14b40 <main_arena>
#22 SpringApp::ShutDown () at ../../rts/System/SpringApp.cpp:1013
        numCalls = 1
        __FUNCTION__ = "ShutDown"
---Type <return> to continue, or q <return> to quit---
#23 0x00000000008d378d in SpringApp::Run (this=this@entry=0x7fff226df170) at ../../rts/System/SpringApp.cpp:985
        __FUNCTION__ = "Run"
0000024 0x00000000008a819e in Run (argc=argc@entry=4, argv=argv@entry=0x7fff226df418) at ../../rts/System/Main.cpp:48
        app = {cmdline = {px = 0x35d5a90, pn = {pi_ = 0x35d5db0}}, clientSetup = {px = 0x39bbc60, pn = {
              pi_ = 0x3954dc0}}}
        ret = -1
        err = <optimized out>
#25 0x000000000055422a in main (argc=4, argv=0x7fff226df418) at ../../rts/System/Main.cpp:107
No locals.
(gdb)

acpitz-virtual-0
Adapter: Virtual device
temp1: +25.0°C (crit = +107.0°C)

dell_smm-virtual-0
Adapter: Virtual device
Processor Fan: 3788 RPM
CPU: +61.0°C
Ambient: +32.0°C
SODIMM: +46.0°C
GPU: +60.0°C

coretemp-isa-0000
Adapter: ISA adapter
Physical id 0: +64.0°C (high = +86.0°C, crit = +100.0°C)
Core 0: +63.0°C (high = +86.0°C, crit = +100.0°C)
Core 1: +64.0°C (high = +86.0°C, crit = +100.0°C)
Core 2: +63.0°C (high = +86.0°C, crit = +100.0°C)
Core 3: +61.0°C (high = +86.0°C, crit = +100.0°C)

~0015624

Kloot (developer)

not seen this specifically since 81535d812cd
+Notes

-Issue History
Date Modified Username Field Change
2015-09-12 18:47 malric New Issue
2015-09-12 18:47 malric File Added: spring_hang.tar.gz
2015-09-13 15:34 silentwings Note Added: 0015157
2015-09-13 21:25 malric Note Added: 0015158
2015-09-13 23:02 malric Note Added: 0015159
2015-09-14 10:15 abma Note Added: 0015160
2015-09-14 10:18 abma Note Added: 0015161
2015-09-14 10:20 abma Note Edited: 0015161 View Revisions
2015-09-14 11:52 malric Note Added: 0015162
2015-09-14 12:00 abma Note Added: 0015163
2015-09-14 12:09 malric Note Added: 0015164
2015-09-22 12:28 Anarchid Note Added: 0015208
2015-09-22 12:34 Anarchid Note Edited: 0015208 View Revisions
2015-09-22 14:20 abma Note Added: 0015209
2015-09-23 11:41 Anarchid Note Added: 0015210
2015-09-23 13:09 abma Note Added: 0015211
2015-09-23 13:28 Anarchid Note Added: 0015212
2015-09-23 13:28 Anarchid Note Edited: 0015212 View Revisions
2015-09-23 22:58 malric Note Added: 0015217
2015-09-23 23:00 abma Note Added: 0015218
2015-09-23 23:10 abma Note Edited: 0015218 View Revisions
2015-09-24 18:35 Code_Man Note Added: 0015220
2015-09-24 18:38 Anarchid Note Added: 0015221
2015-09-24 18:44 Code_Man Note Added: 0015223
2015-09-24 18:55 abma Note Added: 0015224
2015-09-24 19:06 malric Note Added: 0015225
2015-09-24 19:09 abma Note Added: 0015226
2015-09-24 23:37 abma Summary Hang when exiting game on Linux => Hang when exiting game on Linux (nvidia drivers)
2015-10-04 22:08 malric Note Added: 0015273
2015-10-04 22:21 abma Note Added: 0015274
2015-10-05 00:27 malric Note Added: 0015275
2015-10-05 00:28 malric Note Added: 0015276
2015-10-05 02:00 abma Note Added: 0015277
2015-10-05 02:00 abma Note Edited: 0015277 View Revisions
2015-10-05 08:16 malric Note Added: 0015278
2015-10-11 21:23 malric Note Added: 0015298
2016-02-05 01:13 Kloot Note Added: 0015624
2016-02-05 01:13 Kloot Status new => closed
2016-02-05 01:13 Kloot Assigned To => Kloot
2016-02-05 01:13 Kloot Resolution open => fixed
2016-02-05 01:13 Kloot Fixed in Version => 100.0+git
+Issue History